UnaryOperator (Java Platform SE 8 )
Keywords: java.util.function.UnaryOperator interface
Date: 2023-01-18

compact1, compact2, compact3
java.util.function

## Interface UnaryOperator<T>

- Type Parameters:
    `T` - the type of the operand and result of the operator
  All Superinterfaces:
    Function<T,T>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface UnaryOperator<T>
      extends Function<T,T>

  Represents an operation on a single operand that produces a result of the same type as its operand. This is a specialization of `Function` for the case where the operand and result are of the same type.

  This is a functional interface whose functional method is `Function.apply(Object)`.

  Since:
    1.8
  See Also:
    `Function`

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> UnaryOperator<T>` | `identity()` Returns a unary operator that always returns its input argument.

    - ### Methods inherited from interface java.util.function.Function

      `andThen, apply, compose`

- - ### Method Detail

    - #### identity

          static <T> UnaryOperator<T> identity()

      Returns a unary operator that always returns its input argument.
      Specified by:
        `identity` in interface `Function<T,T>`
      Type Parameters:
        `T` - the type of the input and output of the operator
      Returns:
        a unary operator that always returns its input argument

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.